Menu

## SystemCharacter
in package
implements CharacterInterface Uses MockCharacter

SystemCharacter.php : 16

Provides a basic system character to serve as an anonymous user.

Whenever a message should be sent by the System instead of a standard character, this class is returned by the entity containing the message instead of a standard character instance.

### Interfaces, Classes and Traits

CharacterInterface
  Interface for the character model and all objects that mimick such a model.

### Table of Contents

$characterName : mixed
$instance : mixed
__call() : mixed
damage() : mixed
getAttack() : int
getBuffs() : BuffList
  Returns an empty bufflist.
getDefense() : int
getDisplayName() : string
getHealth() : int
getId() : UuidInterface
getInstance() : SystemCharacter
  Return an instance of SystemCharacter.
getLevel() : int
getMaxHealth() : int
getName() : string
getProperty() : mixed
getViewpoint() : Viewpoint
heal() : mixed
isAlive() : bool
setHealth() : mixed
__construct() : mixed
  Private constructor. Use the static method getInstance().

### Properties

#### $characterName

SystemCharacter.php : 21
`public static mixed $characterName = "System"`

#### $instance

SystemCharacter.php : 20
`public static mixed $instance = null`

### Methods

#### __call()

MockCharacter.php : 22
`public __call(mixed $name, mixed $arguments) : mixed`

##### Parameters

$name : mixed
$arguments : mixed

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### damage()

MockCharacter.php : 76
`public damage(int $damage) : mixed`

##### Parameters

$damage : int

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### getAttack()

MockCharacter.php : 123
`public getAttack([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Tags

throws
  IsNullException

##### Return values

int —

#### getBuffs()

MockCharacter.php : 160

Returns an empty bufflist.

`public getBuffs() : BuffList`

##### Return values

BuffList —

#### getDefense()

MockCharacter.php : 133
`public getDefense([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Tags

throws
  IsNullException

##### Return values

int —

#### getDisplayName()

SystemCharacter.php : 44
`public getDisplayName() : string`

##### Tags

inheritDoc

##### Return values

string —

#### getHealth()

MockCharacter.php : 58
`public getHealth() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getId()

MockCharacter.php : 31
`public getId() : UuidInterface`

##### Tags

throws
  IsNullException

##### Return values

UuidInterface —

#### getInstance()

SystemCharacter.php : 27

Return an instance of SystemCharacter.

`public static getInstance() : SystemCharacter`

##### Return values

SystemCharacter —

#### getLevel()

MockCharacter.php : 104
`public getLevel() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getMaxHealth()

MockCharacter.php : 95
`public getMaxHealth() : int`

##### Tags

throws
  IsNullException

##### Return values

int —

#### getName()

SystemCharacter.php : 52
`public getName() : string`

##### Tags

inheritDoc

##### Return values

string —

#### getProperty()

MockCharacter.php : 151
`public getProperty(string $name[, null $default = null ]) : mixed`

##### Parameters

$name : string
$default : null = null

##### Return values

mixed —

#### getViewpoint()

MockCharacter.php : 142
`public getViewpoint() : Viewpoint`

##### Tags

throws
  IsNullException

##### Return values

Viewpoint —

#### heal()

MockCharacter.php : 86
`public heal(int $heal[, bool $overheal = false ]) : mixed`

##### Parameters

$heal : int
$overheal : bool = false

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### isAlive()

MockCharacter.php : 113
`public isAlive() : bool`

##### Tags

throws
  IsNullException

##### Return values

bool —

#### setHealth()

MockCharacter.php : 67
`public setHealth(int $amount) : mixed`

##### Parameters

$amount : int

##### Tags

throws
  IsNullException

##### Return values

mixed —

#### __construct()

SystemCharacter.php : 37

Private constructor. Use the static method getInstance().

`private __construct() : mixed`

##### Return values

mixed —

## Search results